# escape=`

# Copyright (C) 2020 Intel Corporation
# SPDX-License-Identifier: MIT

FROM mcr.microsoft.com/dotnet/framework/sdk:4.7.2-20190312-windowsservercore-ltsc2016 AS toolchain

SHELL ["powershell"]

# Install Visual Studio
ARG VS_VERSION=16
ENV VS_VERSION $VS_VERSION
ARG VS_EDITION
ENV VS_EDITION $VS_EDITION
RUN mkdir C:\TEMP; `
    wget `
      -Uri https://aka.ms/vs/$env:VS_VERSION/release/vs_$env:VS_EDITION.exe `
      -OutFile C:\TEMP\vs_$env:VS_EDITION.exe
SHELL ["cmd", "/S", "/C"]
ARG VS_PRODUCT_KEY=" "
ENV VS_PRODUCT_KEY $VS_PRODUCT_KEY
RUN C:\TEMP\vs_%VS_EDITION%.exe %VS_PRODUCT_KEY% `
      --quiet --wait --norestart --nocache `
      --installPath C:\VS `
      --includeRecommended `
      --add Microsoft.VisualStudio.Workload.NativeDesktop `
      --add Microsoft.VisualStudio.Workload.ManagedDesktop `
      --add Microsoft.VisualStudio.Component.VC.Runtimes.x86.x64.Spectre `
      --add Microsoft.VisualStudio.Component.Git `
      --add Microsoft.VisualStudio.Component.Windows10SDK.19041 `
    || IF "%ERRORLEVEL%"=="3010" EXIT 0

SHELL ["powershell"]

ENV chocolateyVersion "0.10.15"
RUN [System.Net.ServicePointManager]::SecurityProtocol = 3072 -bor 768 -bor 192 -bor 48; `
    iex ((New-Object System.Net.WebClient).DownloadString('https://chocolatey.org/install.ps1')); `
    wget `
      -Uri https://github.com/frerich/clcache/releases/download/v4.2.0/clcache.4.2.0.nupkg `
      -OutFile clcache.4.2.0.nupkg `
      -UserAgent [Microsoft.PowerShell.Commands.PSUserAgent]::InternetExplorer; `
    choco install -y --no-progress --fail-on-error-output 7zip; `
    choco install -y --no-progress --fail-on-error-output clcache --source=.

# cpack (an alias from chocolatey) and cmake's cpack conflict.
RUN Remove-Item -Force 'C:\ProgramData\chocolatey\bin\cpack.exe'

SHELL ["cmd", "/S", "/C"]

ENTRYPOINT ["C:\\VS\\Common7\\Tools\\VsDevCmd.bat", "-arch=amd64", "-host_arch=amd64", "&&", "cmd", "/S", "/C"]
